[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

[Pkg-fonts-devel] Bug#625749: ttf-takao: Debian packaging license should be compatible with upstream



On May 6, 2011 at 7:20PM +0900,
henrich (at debian.or.jp) wrote:

>> However, this Debian packaging license is GPL-3.  It is problematic
>> if the upstream part is modified with packaging.
>
>  Most of the case, if modifies would be needed to ttf-takao, takao
>  upstream - also package maintainer of this - would deal with it by
>  changing font file itself. So, the situation you mention is rare.
>
>  And if we have to modify font file with packaging, we just choose
>  another license for that file, don't we?

So, the severity of this bug is currently `wishlist'.  If you
forget to choose another license, this bug will be `serious'.
Anyway, I recommend that Debian packaging license be compatible
with upstream, even if upstream source is not yet modified.

Thanks,
--
Tatsuya Kinoshita

Attachment: pgpQ4T5oW43vG.pgp
Description: PGP signature


Reply to: